Package org.gradle.api.tasks.diagnostics

# Class AbstractDependencyReportTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.diagnostics.ConventionReportTask
org.gradle.api.tasks.diagnostics.AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>
org.gradle.api.tasks.diagnostics.AbstractDependencyReportTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

Direct Known Subclasses:
  `DependencyReportTask`, `HtmlDependencyReportTask`

@DisableCachingByDefault(because="Abstract super-class, not to be instantiated directly") public abstract class AbstractDependencyReportTask extends AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>
Displays the dependency tree for a configuration.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AbstractDependencyReportTask.DependencyReportModel`
  Report model.

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDependencyReportTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AbstractDependencyReportTask.DependencyReportModel`
  `calculateReportModelFor(Project project)`
  `protected void`
  `generateReportFor(org.gradle.api.tasks.diagnostics.internal.ProjectDetails project, AbstractDependencyReportTask.DependencyReportModel model)`
  `SetProperty<Configuration>`
  `getConfigurations()`
  Returns the configurations to generate the report for.
  `abstract Property<org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer>`
  `getRenderer()`
  `abstract Property<String>`
  `getSelectedConfiguration()`
  The single configuration (by name) to generate the report for.
  `protected abstract ConfigurationContainer`
  `getTaskConfigurations()`
  `void`
  `setConfiguration(String configuration)`
  Deprecated.
  `void`
  `setConfigurations(Set<Configuration> configurations)`
  The single configuration (by name) to generate the report for.
  `void`
  `setRenderer(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer renderer)`
  Set the renderer to use to build a report.

  ### Methods inherited from class org.gradle.api.tasks.diagnostics.AbstractProjectBasedReportTask

  `action, generateReportFooterFor, generateReportHeaderFor`

  ### Methods inherited from class org.gradle.api.tasks.diagnostics.ConventionReportTask

  `getClientMetaData, getObjectFactory, getOutputFile, getProjectReportDirectory, getProjects, getTextOutputFactory, logClickableOutputFileUrl, reportGenerator, setOutputFile, setProjects`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### AbstractDependencyReportTask

    public AbstractDependencyReportTask()

- ## Method Details

  - ### getRenderer

    public abstract Property<org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer> getRenderer()
    Specified by:
      `getRenderer` in class `ConventionReportTask`

  - ### setRenderer

    public void setRenderer(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer renderer)
    Set the renderer to use to build a report. If unset, AsciiGraphRenderer will be used.

  - ### calculateReportModelFor

    protected AbstractDependencyReportTask.DependencyReportModel calculateReportModelFor(Project project)
    Specified by:
      `calculateReportModelFor` in class `AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>`

  - ### generateReportFor

    protected void generateReportFor(org.gradle.api.tasks.diagnostics.internal.ProjectDetails project, AbstractDependencyReportTask.DependencyReportModel model)
    Specified by:
      `generateReportFor` in class `AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>`

  - ### getConfigurations

    @Internal public SetProperty<Configuration> getConfigurations()
    Returns the configurations to generate the report for. Defaults to all configurations of this task's containing project.
    Returns:
      the configurations.

  - ### setConfigurations

    public void setConfigurations(Set<Configuration> configurations)
    The single configuration (by name) to generate the report for.
    Since:
      9.7.0

  - ### getSelectedConfiguration

    @Input @Optional @Incubating public abstract Property<String> getSelectedConfiguration()
    The single configuration (by name) to generate the report for.
    Since:
      9.7.0

  - ### setConfiguration

    @Deprecated public void setConfiguration(String configuration)
    Deprecated.

  - ### getTaskConfigurations

    @Inject protected abstract ConfigurationContainer getTaskConfigurations()